Defender scan reports mistake ?

Defender found what seems to be a "high" suspicious file. This is /wp-content/plugins/worker/src/PHPSecLib/Net/SSH2.php file, wich is part of a plugin from Manage WP ; isn't that a false alarm as this file appears on all the other website i have this plugin installed ? Do you have any feedbacks about this ?